Subject: Re: bug#35241: 27.0.50; Tramp can't decrypt .authinfo.gpg in Win 10

From: Shuguang Sun <[email-masked]>
Date: Tue, 16 Apr 2019 12:54:14 +0800

Noam Postavsky <[email-masked]> writes:

> Shuguang Sun <[email-masked]> writes:
>
>> I use .authinfo.gpg to store my login information, instead of .authinfo. 
>>
>> Whe I open /plink:... with tramp, emacs get blocked and it seems tramp
>> is dealing with .authinfo
>
> Can you get a backtrace with M-x toggle-debug-on-quit, and then hitting
> C-g when it's stuck?
>
>

Below is part of the message. It seems it try to find "gpg2", and there is no "gpg2".
Actually, I have gpg version gpg (GnuPG) 2.2.15, and epg-gpg-program as "gpg".

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (quit)
  tramp-accept-process-output(#<process *tramp/plink [email-masked]*>)
  tramp-wait-for-regexp(#<process *tramp/plink [email-masked]*> nil "\\(^\\|\0\\)[^#$\n]*///92fc211a5...")
  tramp-wait-for-output(#<process *tramp/plink [email-masked]*>)
  tramp-send-command((tramp-file-name "plink" "username" nil "host.com" nil "./." nil) "cd ~ && pwd")
  tramp-sh-handle-expand-file-name("." "/plink:[email-masked]:")
  apply(tramp-sh-handle-expand-file-name ("." "/plink:[email-masked]:"))
  tramp-sh-file-name-handler(expand-file-name "." "/plink:[email-masked]:")
  apply(tramp-sh-file-name-handler expand-file-name ("." "/plink:[email-masked]:"))
  tramp-file-name-handler(expand-file-name "." "/plink:[email-masked]:")
  locate-file-internal("gpg2" (list of path) (".exe" ".com" ".bat" ".cmd" ".btm" "") 1)
  executable-find("gpg2")
  epg-find-configuration(OpenPGP)
  epg-context--make(OpenPGP nil nil nil nil nil nil)
  epg-make-context()
  epa-file-insert-file-contents("c:/Users/username/HOME/.authinfo.gpg" nil nil nil nil)
  apply(epa-file-insert-file-contents ("c:/Users/username/HOME/.authinfo.gpg" nil nil nil nil))
  epa-file-handler(insert-file-contents "c:/Users/username/HOME/.authinfo.gpg" nil nil nil nil)
  insert-file-contents("~/.authinfo.gpg")
  auth-source-netrc-parse(:max 1 :require (:secret :user) :file "~/.authinfo.gpg" :host "host.com" :user "username" :port "plink")
  auth-source-netrc-search(:backend #<auth-source-backend auth-source-backend-29bf9d8> :type netrc :max 1 :require (:secret :user) :create nil :delete nil :max 1 :user "username" :host "host.com" :port "plink" :require (:secret :user) :create t)
  apply(auth-source-netrc-search :backend #<auth-source-backend auth-source-backend-29bf9d8> :type netrc :max 1 :require (:secret :user) :create nil :delete nil (:max 1 :user "username" :host "host.com" :port "plink" :require (:secret :user) :create t))
  auth-source-search-backends((#<auth-source-backend auth-source-backend-29bf988> #<auth-source-backend auth-source-backend-29bf9d8> #<auth-source-backend auth-source-backend-29bfa1c>) (:max 1 :user "username" :host "host.com" :port "plink" :require (:secret :user) :create t) 1 nil nil (:secret :user))
  auth-source-search(:max 1 :user "username" :host "host.com" :port "plink" :require (:secret :user) :create t)
  tramp-read-passwd(#<process *tramp/plink [email-masked]*>)
  tramp-action-password(#<process *tramp/plink [email-masked]*> (tramp-file-name "plink" "username" nil "host.com" nil "/home/username/" nil))
--8<---------------cut here---------------end--------------->8---

-- 
Best Regards
Shuguang Sun